﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
#IgnoreWarnings:12
Sub Class_Globals
	Public DIV As VueHTML
	Public ID As String
	Private vue As BANanoVue
	Private BANano As BANano  'ignore
End Sub

'initialize the button
Public Sub Initialize(v As BANanoVue, sid As String) As VueDIV
	ID = sid.tolowercase
	DIV.Initialize(ID)
	DIV.SetTag("div")
	vue = v
	Return Me
End Sub

'set onclick event
Sub SetOnClick(module As Object, methodName As String) As VueDIV
	methodName = methodName.tolowercase
	Dim e As BANanoEvent
	Dim cb As BANanoObject = BANano.CallBack(module, methodName, e)
	'set the directive
	DIV.SetAttr("v-on:click", methodName)
	'add to methods
	vue.SetMethod(methodName, cb)
	Return Me
End Sub

'add element
Sub AddElement(elm As VueHTML) As VueDIV
	DIV.AddElement(elm)
	Return Me
End Sub

'add elements
Sub AddElements(els As List)
	For Each el As VueHTML In els
		AddElement(el)
	Next
End Sub

'set template
Sub SetTemplate(tmp As Object) As VueDIV
	DIV.Clear
	DIV.SetText(tmp)
	Return Me
End Sub

'get component
Sub ToString As String
	Return DIV.html
End Sub

'render
Sub Render(parent As String)
	BANano.GetElement(parent).Append(ToString)
End Sub

'create paragraph
Sub CreateParagraph(pid As String) As VueParagraph
	Dim vp As VueParagraph
	vp.Initialize(vue, pid)
	Return vp 
End Sub

'create input
Sub CreateInput(tid As String) As VueInput
	Dim vp As VueInput
	vp.Initialize(vue, tid)
	Return vp
End Sub