﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
#IgnoreWarnings:12
Sub Class_Globals
	Public Input As VueHTML
	Public ID As String
	Private vue As BANanoVue
	Private BANano As BANano  'ignore
End Sub

'initialize the button
Public Sub Initialize(v As BANanoVue, sid As String) As VueInput
	ID = sid.tolowercase
	Input.Initialize(ID)
	Input.SetTag("input")
	vue = v
	Return Me
End Sub

'set onclick event
Sub SetOnClick(module As Object, methodName As String) As VueInput
	methodName = methodName.tolowercase
	Dim e As BANanoEvent
	Dim cb As BANanoObject = BANano.CallBack(module, methodName, e)
	'set the directive
	Input.SetAttr("v-on:click", methodName)
	'add to methods
	vue.SetMethod(methodName, cb)
	Return Me
End Sub

'set placeholder
Sub SetPlaceholder(ph As String) As VueInput
	Input.SetAttr("placeholder", ph)
	Return Me
End Sub

'get component
Sub ToString As String
	Return Input.html
End Sub

'render
Sub Render(parent As String)
	BANano.GetElement(parent).Append(ToString)
End Sub