﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public Vue As BANanoVue
	Private BANano As BANano  'ignore
	Private app As BANanoElement
End Sub


Sub Init
	'initialize vue, this clears the body and adds an empty div identified with app.
	app = Vue.Initialize
	'set the font family for body of the page
	Vue.SetFontFamily($"'Ubuntu', sans-serif"$)
	
	'let's update the app div
	app.Append($"<h2>Looping Templates with v-for</h2>"$)
	
	'set the default state, lets create a list we can change
	'rather specify the id and value for each list item
	Dim numbers As List
	numbers.Initialize
	numbers.Add(CreateMap("id":"1","value":"1"))
	numbers.Add(CreateMap("id":"2","value":"10"))
	numbers.Add(CreateMap("id":"3","value":"100"))
	numbers.Add(CreateMap("id":"4","value":"1000"))
	numbers.Add(CreateMap("id":"5","value":"10000"))
	
	'this is stored as data.numbers = numbers(list)
	Dim state As Map = CreateMap()
	state.Put("numbers", numbers)
	Vue.SetDefaultState(state)
	'
	'create a ul
	Dim ul As VueUL
	ul.Initialize(Vue, "ul1")
	
	' create a template
	Dim tmpDiv As VueDIV
	tmpDiv.Initialize(Vue, "ul1Tmp")
	Dim p1 As VueParagraph = tmpDiv.CreateParagraph("p1").SetText($"{{ row.value }}"$) 
	Dim txt1 As VueInput = tmpDiv.CreateInput("txt1").SetPlaceholder("type something...")
	tmpDiv.AddElements(Array(p1.Paragraph, txt1.input))
	'
	'specify the details for each item item in the list
	Dim li As VueLI
	li.Initialize(Vue, "").SetData("numbers").SetTemplate(tmpDiv.ToString)
	'
	ul.SetLI(li)
	'
	ul.Render("#app")
	
	'execute the DOM rendering
	Vue.ux
End Sub