﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
#IgnoreWarnings:12
Sub Class_Globals
	Public Image As VueHTML
	Public ID As String
	Private vue As BANanoVue
	Private BANano As BANano  'ignore
End Sub

'initialize the button
Public Sub Initialize(v As BANanoVue, sid As String) As VueImage
	ID = sid.tolowercase
	Image.Initialize(ID)
	Image.SetTag("img")
	vue = v
	Return Me
End Sub

'set onclick event
Sub SetOnClick(module As Object, methodName As String) As VueImage
	methodName = methodName.tolowercase
	Dim e As BANanoEvent
	Dim cb As BANanoObject = BANano.CallBack(module, methodName, e)
	'set the directive
	Image.SetAttr("v-on:click", methodName)
	'add to methods
	vue.SetMethod(methodName, cb)
	Return Me
End Sub

'set alt
Sub SetAlt(l As Object) As VueImage
	Image.SetAttr("v-bind:alt", l)
	Return Me
End Sub

'set src
Sub SetSrc(l As Object) As VueImage
	Image.SetAttr("v-bind:src", l)
	Return Me
End Sub

'get component
Sub ToString As String
	Return Image.html
End Sub

'render
Sub Render(parent As String)
	BANano.GetElement(parent).Append(ToString)
End Sub